Update Jira mapping and thresholds
PUT
/v1/integrations/jira/config
const url = 'https://api.monita.ai/v1/integrations/jira/config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cloudId":"example","defaultProjectKey":"example","issueType":"example","minSeverity":"low","autoCreate":true,"projectMappings":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.monita.ai/v1/integrations/jira/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cloudId": "example", "defaultProjectKey": "example", "issueType": "example", "minSeverity": "low", "autoCreate": true, "projectMappings": { "additionalProperty": "example" } }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
cloudId
string
defaultProjectKey
string
issueType
string
minSeverity
string
autoCreate
boolean
projectMappings
object
key
additional properties
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
ok
required
boolean
status
required
string
Examplegenerated
{ "ok": true, "status": "example"}Unknown site
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Not connected
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}